  // Clock and quiesce
  wire  bus_clk;
  wire  quiesce;


  // Wires related to /dev/xillybus_mem_8
  wire  user_r_mem_8_rden;
  wire  user_r_mem_8_empty;
  wire [7:0] user_r_mem_8_data;
  wire  user_r_mem_8_eof;
  wire  user_r_mem_8_open;
  wire  user_w_mem_8_wren;
  wire  user_w_mem_8_full;
  wire [7:0] user_w_mem_8_data;
  wire  user_w_mem_8_open;
  wire [4:0] user_mem_8_addr;
  wire  user_mem_8_addr_update;

  // Wires related to /dev/xillybus_read_32
  wire  user_r_read_32_rden;
  wire  user_r_read_32_empty;
  wire [31:0] user_r_read_32_data;
  wire  user_r_read_32_eof;
  wire  user_r_read_32_open;

  // Wires related to /dev/xillybus_read_8
  wire  user_r_read_8_rden;
  wire  user_r_read_8_empty;
  wire [7:0] user_r_read_8_data;
  wire  user_r_read_8_eof;
  wire  user_r_read_8_open;

  // Wires related to /dev/xillybus_write_32
  wire  user_w_write_32_wren;
  wire  user_w_write_32_full;
  wire [31:0] user_w_write_32_data;
  wire  user_w_write_32_open;

  // Wires related to /dev/xillybus_write_8
  wire  user_w_write_8_wren;
  wire  user_w_write_8_full;
  wire [7:0] user_w_write_8_data;
  wire  user_w_write_8_open;

  // Wires related to Xillybus Lite
  wire  user_clk;
  wire  user_wren;
  wire  user_rden;
  wire [3:0] user_wstrb;
  wire [31:0] user_addr;
  wire [31:0] user_rd_data;
  wire [31:0] user_wr_data;
  wire  user_irq;


  xillybus xillybus_ins (

    // Ports related to /dev/xillybus_mem_8
    // FPGA to CPU signals:
    .user_r_mem_8_rden(user_r_mem_8_rden),
    .user_r_mem_8_empty(user_r_mem_8_empty),
    .user_r_mem_8_data(user_r_mem_8_data),
    .user_r_mem_8_eof(user_r_mem_8_eof),
    .user_r_mem_8_open(user_r_mem_8_open),

    // CPU to FPGA signals:
    .user_w_mem_8_wren(user_w_mem_8_wren),
    .user_w_mem_8_full(user_w_mem_8_full),
    .user_w_mem_8_data(user_w_mem_8_data),
    .user_w_mem_8_open(user_w_mem_8_open),

    // Address signals:
    .user_mem_8_addr(user_mem_8_addr),
    .user_mem_8_addr_update(user_mem_8_addr_update),


    // Ports related to /dev/xillybus_read_32
    // FPGA to CPU signals:
    .user_r_read_32_rden(user_r_read_32_rden),
    .user_r_read_32_empty(user_r_read_32_empty),
    .user_r_read_32_data(user_r_read_32_data),
    .user_r_read_32_eof(user_r_read_32_eof),
    .user_r_read_32_open(user_r_read_32_open),


    // Ports related to /dev/xillybus_read_8
    // FPGA to CPU signals:
    .user_r_read_8_rden(user_r_read_8_rden),
    .user_r_read_8_empty(user_r_read_8_empty),
    .user_r_read_8_data(user_r_read_8_data),
    .user_r_read_8_eof(user_r_read_8_eof),
    .user_r_read_8_open(user_r_read_8_open),


    // Ports related to /dev/xillybus_write_32
    // CPU to FPGA signals:
    .user_w_write_32_wren(user_w_write_32_wren),
    .user_w_write_32_full(user_w_write_32_full),
    .user_w_write_32_data(user_w_write_32_data),
    .user_w_write_32_open(user_w_write_32_open),


    // Ports related to /dev/xillybus_write_8
    // CPU to FPGA signals:
    .user_w_write_8_wren(user_w_write_8_wren),
    .user_w_write_8_full(user_w_write_8_full),
    .user_w_write_8_data(user_w_write_8_data),
    .user_w_write_8_open(user_w_write_8_open),


    // Ports related to Xillybus Lite
    .user_clk(user_clk),
    .user_wren(user_wren),
    .user_rden(user_rden),
    .user_wstrb(user_wstrb),
    .user_addr(user_addr),
    .user_rd_data(user_rd_data),
    .user_wr_data(user_wr_data),
    .user_irq(user_irq),


    // General signals
    .clk_bot1(clk_bot1),
    .hps_0_hps_io_hps_io_emac1_inst_RXD0(hps_0_hps_io_hps_io_emac1_inst_RXD0),
    .hps_0_hps_io_hps_io_emac1_inst_RXD1(hps_0_hps_io_hps_io_emac1_inst_RXD1),
    .hps_0_hps_io_hps_io_emac1_inst_RXD2(hps_0_hps_io_hps_io_emac1_inst_RXD2),
    .hps_0_hps_io_hps_io_emac1_inst_RXD3(hps_0_hps_io_hps_io_emac1_inst_RXD3),
    .hps_0_hps_io_hps_io_emac1_inst_RX_CLK(hps_0_hps_io_hps_io_emac1_inst_RX_CLK),
    .hps_0_hps_io_hps_io_emac1_inst_RX_CTL(hps_0_hps_io_hps_io_emac1_inst_RX_CTL),
    .hps_0_hps_io_hps_io_spim0_inst_MISO(hps_0_hps_io_hps_io_spim0_inst_MISO),
    .hps_0_hps_io_hps_io_spim1_inst_MISO(hps_0_hps_io_hps_io_spim1_inst_MISO),
    .hps_0_hps_io_hps_io_uart0_inst_RX(hps_0_hps_io_hps_io_uart0_inst_RX),
    .hps_0_hps_io_hps_io_usb1_inst_CLK(hps_0_hps_io_hps_io_usb1_inst_CLK),
    .hps_0_hps_io_hps_io_usb1_inst_DIR(hps_0_hps_io_hps_io_usb1_inst_DIR),
    .hps_0_hps_io_hps_io_usb1_inst_NXT(hps_0_hps_io_hps_io_usb1_inst_NXT),
    .memory_oct_rzqin(memory_oct_rzqin),
    .hps_0_hps_io_hps_io_emac1_inst_MDIO(hps_0_hps_io_hps_io_emac1_inst_MDIO),
    .hps_0_hps_io_hps_io_gpio_inst_GPIO00(hps_0_hps_io_hps_io_gpio_inst_GPIO00),
    .hps_0_hps_io_hps_io_gpio_inst_GPIO09(hps_0_hps_io_hps_io_gpio_inst_GPIO09),
    .hps_0_hps_io_hps_io_gpio_inst_GPIO35(hps_0_hps_io_hps_io_gpio_inst_GPIO35),
    .hps_0_hps_io_hps_io_gpio_inst_GPIO48(hps_0_hps_io_hps_io_gpio_inst_GPIO48),
    .hps_0_hps_io_hps_io_gpio_inst_GPIO53(hps_0_hps_io_hps_io_gpio_inst_GPIO53),
    .hps_0_hps_io_hps_io_gpio_inst_GPIO54(hps_0_hps_io_hps_io_gpio_inst_GPIO54),
    .hps_0_hps_io_hps_io_gpio_inst_GPIO55(hps_0_hps_io_hps_io_gpio_inst_GPIO55),
    .hps_0_hps_io_hps_io_gpio_inst_GPIO56(hps_0_hps_io_hps_io_gpio_inst_GPIO56),
    .hps_0_hps_io_hps_io_gpio_inst_GPIO61(hps_0_hps_io_hps_io_gpio_inst_GPIO61),
    .hps_0_hps_io_hps_io_gpio_inst_GPIO62(hps_0_hps_io_hps_io_gpio_inst_GPIO62),
    .hps_0_hps_io_hps_io_i2c1_inst_SCL(hps_0_hps_io_hps_io_i2c1_inst_SCL),
    .hps_0_hps_io_hps_io_i2c1_inst_SDA(hps_0_hps_io_hps_io_i2c1_inst_SDA),
    .hps_0_hps_io_hps_io_qspi_inst_IO0(hps_0_hps_io_hps_io_qspi_inst_IO0),
    .hps_0_hps_io_hps_io_qspi_inst_IO1(hps_0_hps_io_hps_io_qspi_inst_IO1),
    .hps_0_hps_io_hps_io_qspi_inst_IO2(hps_0_hps_io_hps_io_qspi_inst_IO2),
    .hps_0_hps_io_hps_io_qspi_inst_IO3(hps_0_hps_io_hps_io_qspi_inst_IO3),
    .hps_0_hps_io_hps_io_sdio_inst_CMD(hps_0_hps_io_hps_io_sdio_inst_CMD),
    .hps_0_hps_io_hps_io_sdio_inst_D0(hps_0_hps_io_hps_io_sdio_inst_D0),
    .hps_0_hps_io_hps_io_sdio_inst_D1(hps_0_hps_io_hps_io_sdio_inst_D1),
    .hps_0_hps_io_hps_io_sdio_inst_D2(hps_0_hps_io_hps_io_sdio_inst_D2),
    .hps_0_hps_io_hps_io_sdio_inst_D3(hps_0_hps_io_hps_io_sdio_inst_D3),
    .hps_0_hps_io_hps_io_usb1_inst_D0(hps_0_hps_io_hps_io_usb1_inst_D0),
    .hps_0_hps_io_hps_io_usb1_inst_D1(hps_0_hps_io_hps_io_usb1_inst_D1),
    .hps_0_hps_io_hps_io_usb1_inst_D2(hps_0_hps_io_hps_io_usb1_inst_D2),
    .hps_0_hps_io_hps_io_usb1_inst_D3(hps_0_hps_io_hps_io_usb1_inst_D3),
    .hps_0_hps_io_hps_io_usb1_inst_D4(hps_0_hps_io_hps_io_usb1_inst_D4),
    .hps_0_hps_io_hps_io_usb1_inst_D5(hps_0_hps_io_hps_io_usb1_inst_D5),
    .hps_0_hps_io_hps_io_usb1_inst_D6(hps_0_hps_io_hps_io_usb1_inst_D6),
    .hps_0_hps_io_hps_io_usb1_inst_D7(hps_0_hps_io_hps_io_usb1_inst_D7),
    .memory_mem_dq(memory_mem_dq),
    .memory_mem_dqs(memory_mem_dqs),
    .memory_mem_dqs_n(memory_mem_dqs_n),
    .GPIO_LED(GPIO_LED),
    .bus_clk(bus_clk),
    .hps_0_hps_io_hps_io_emac1_inst_MDC(hps_0_hps_io_hps_io_emac1_inst_MDC),
    .hps_0_hps_io_hps_io_emac1_inst_TXD0(hps_0_hps_io_hps_io_emac1_inst_TXD0),
    .hps_0_hps_io_hps_io_emac1_inst_TXD1(hps_0_hps_io_hps_io_emac1_inst_TXD1),
    .hps_0_hps_io_hps_io_emac1_inst_TXD2(hps_0_hps_io_hps_io_emac1_inst_TXD2),
    .hps_0_hps_io_hps_io_emac1_inst_TXD3(hps_0_hps_io_hps_io_emac1_inst_TXD3),
    .hps_0_hps_io_hps_io_emac1_inst_TX_CLK(hps_0_hps_io_hps_io_emac1_inst_TX_CLK),
    .hps_0_hps_io_hps_io_emac1_inst_TX_CTL(hps_0_hps_io_hps_io_emac1_inst_TX_CTL),
    .hps_0_hps_io_hps_io_qspi_inst_CLK(hps_0_hps_io_hps_io_qspi_inst_CLK),
    .hps_0_hps_io_hps_io_qspi_inst_SS0(hps_0_hps_io_hps_io_qspi_inst_SS0),
    .hps_0_hps_io_hps_io_sdio_inst_CLK(hps_0_hps_io_hps_io_sdio_inst_CLK),
    .hps_0_hps_io_hps_io_spim0_inst_CLK(hps_0_hps_io_hps_io_spim0_inst_CLK),
    .hps_0_hps_io_hps_io_spim0_inst_MOSI(hps_0_hps_io_hps_io_spim0_inst_MOSI),
    .hps_0_hps_io_hps_io_spim0_inst_SS0(hps_0_hps_io_hps_io_spim0_inst_SS0),
    .hps_0_hps_io_hps_io_spim1_inst_CLK(hps_0_hps_io_hps_io_spim1_inst_CLK),
    .hps_0_hps_io_hps_io_spim1_inst_MOSI(hps_0_hps_io_hps_io_spim1_inst_MOSI),
    .hps_0_hps_io_hps_io_spim1_inst_SS0(hps_0_hps_io_hps_io_spim1_inst_SS0),
    .hps_0_hps_io_hps_io_uart0_inst_TX(hps_0_hps_io_hps_io_uart0_inst_TX),
    .hps_0_hps_io_hps_io_usb1_inst_STP(hps_0_hps_io_hps_io_usb1_inst_STP),
    .memory_mem_a(memory_mem_a),
    .memory_mem_ba(memory_mem_ba),
    .memory_mem_cas_n(memory_mem_cas_n),
    .memory_mem_ck(memory_mem_ck),
    .memory_mem_ck_n(memory_mem_ck_n),
    .memory_mem_cke(memory_mem_cke),
    .memory_mem_cs_n(memory_mem_cs_n),
    .memory_mem_dm(memory_mem_dm),
    .memory_mem_odt(memory_mem_odt),
    .memory_mem_ras_n(memory_mem_ras_n),
    .memory_mem_reset_n(memory_mem_reset_n),
    .memory_mem_we_n(memory_mem_we_n),
    .quiesce(quiesce),
    .vga_blank_n(vga_blank_n),
    .vga_blue(vga_blue),
    .vga_clk_out(vga_clk_out),
    .vga_green(vga_green),
    .vga_hsync(vga_hsync),
    .vga_red(vga_red),
    .vga_sync_n(vga_sync_n),
    .vga_vsync(vga_vsync)
  );
