# 
# xillybus "xillybus" v1.0
# Xillybus Ltd 2013.11.01.19:39:54
# Xillybus IP core
# 

# 
# request TCL package from ACDS 13.1
# 
package require -exact qsys 13.1


# 
# module xillybus
# 
set_module_property DESCRIPTION "Xillybus IP core"
set_module_property NAME xillybus
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property OPAQUE_ADDRESS_MAP true
set_module_property AUTHOR "Xillybus Ltd"
set_module_property DISPLAY_NAME xillybus
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE true
set_module_property ANALYZE_HDL AUTO
set_module_property REPORT_TO_TALKBACK false
set_module_property ALLOW_GREYBOX_GENERATION false


# 
# file sets
# 
add_fileset QUARTUS_SYNTH QUARTUS_SYNTH "" ""
set_fileset_property QUARTUS_SYNTH TOP_LEVEL xillybus_loop
set_fileset_property QUARTUS_SYNTH ENABLE_RELATIVE_INCLUDE_PATHS false
add_fileset_file xillybus_loop.v VERILOG PATH xillybus_loop.v TOP_LEVEL_FILE


# 
# parameters
# 


# 
# display items
# 


# 
# connection point xillybus_axi_slave
# 
add_interface xillybus_axi_slave axi end
set_interface_property xillybus_axi_slave associatedClock clock_sink
set_interface_property xillybus_axi_slave associatedReset reset_sink
set_interface_property xillybus_axi_slave readAcceptanceCapability 1
set_interface_property xillybus_axi_slave writeAcceptanceCapability 1
set_interface_property xillybus_axi_slave combinedAcceptanceCapability 1
set_interface_property xillybus_axi_slave readDataReorderingDepth 1
set_interface_property xillybus_axi_slave bridgesToMaster ""
set_interface_property xillybus_axi_slave ENABLED true
set_interface_property xillybus_axi_slave EXPORT_OF ""
set_interface_property xillybus_axi_slave PORT_NAME_MAP ""
set_interface_property xillybus_axi_slave SVD_ADDRESS_GROUP ""

add_interface_port xillybus_axi_slave S_AXI_AWID awid Input 12
add_interface_port xillybus_axi_slave S_AXI_AWADDR awaddr Input 7
add_interface_port xillybus_axi_slave S_AXI_AWLEN awlen Input 4
add_interface_port xillybus_axi_slave S_AXI_AWSIZE awsize Input 3
add_interface_port xillybus_axi_slave S_AXI_AWBURST awburst Input 2
add_interface_port xillybus_axi_slave S_AXI_AWLOCK awlock Input 2
add_interface_port xillybus_axi_slave S_AXI_AWCACHE awcache Input 4
add_interface_port xillybus_axi_slave S_AXI_AWPROT awprot Input 3
add_interface_port xillybus_axi_slave S_AXI_AWUSER awuser Input 5
add_interface_port xillybus_axi_slave S_AXI_AWVALID awvalid Input 1
add_interface_port xillybus_axi_slave S_AXI_AWREADY awready Output 1
add_interface_port xillybus_axi_slave S_AXI_WID wid Input 12
add_interface_port xillybus_axi_slave S_AXI_WDATA wdata Input 32
add_interface_port xillybus_axi_slave S_AXI_WSTRB wstrb Input 4
add_interface_port xillybus_axi_slave S_AXI_WLAST wlast Input 1
add_interface_port xillybus_axi_slave S_AXI_WVALID wvalid Input 1
add_interface_port xillybus_axi_slave S_AXI_WREADY wready Output 1
add_interface_port xillybus_axi_slave S_AXI_BID bid Output 12
add_interface_port xillybus_axi_slave S_AXI_BRESP bresp Output 2
add_interface_port xillybus_axi_slave S_AXI_BVALID bvalid Output 1
add_interface_port xillybus_axi_slave S_AXI_BREADY bready Input 1
add_interface_port xillybus_axi_slave S_AXI_ARID arid Input 12
add_interface_port xillybus_axi_slave S_AXI_ARADDR araddr Input 7
add_interface_port xillybus_axi_slave S_AXI_ARLEN arlen Input 4
add_interface_port xillybus_axi_slave S_AXI_ARSIZE arsize Input 3
add_interface_port xillybus_axi_slave S_AXI_ARBURST arburst Input 2
add_interface_port xillybus_axi_slave S_AXI_ARLOCK arlock Input 2
add_interface_port xillybus_axi_slave S_AXI_ARCACHE arcache Input 4
add_interface_port xillybus_axi_slave S_AXI_ARPROT arprot Input 3
add_interface_port xillybus_axi_slave S_AXI_ARUSER aruser Input 5
add_interface_port xillybus_axi_slave S_AXI_ARVALID arvalid Input 1
add_interface_port xillybus_axi_slave S_AXI_ARREADY arready Output 1
add_interface_port xillybus_axi_slave S_AXI_RID rid Output 12
add_interface_port xillybus_axi_slave S_AXI_RDATA rdata Output 32
add_interface_port xillybus_axi_slave S_AXI_RRESP rresp Output 2
add_interface_port xillybus_axi_slave S_AXI_RLAST rlast Output 1
add_interface_port xillybus_axi_slave S_AXI_RVALID rvalid Output 1
add_interface_port xillybus_axi_slave S_AXI_RREADY rready Input 1


# 
# connection point xillybus_axi_master
# 
add_interface xillybus_axi_master axi start
set_interface_property xillybus_axi_master associatedClock clock_sink
set_interface_property xillybus_axi_master associatedReset reset_sink
set_interface_property xillybus_axi_master readIssuingCapability 1
set_interface_property xillybus_axi_master writeIssuingCapability 1
set_interface_property xillybus_axi_master combinedIssuingCapability 1
set_interface_property xillybus_axi_master ENABLED true
set_interface_property xillybus_axi_master EXPORT_OF ""
set_interface_property xillybus_axi_master PORT_NAME_MAP ""
set_interface_property xillybus_axi_master SVD_ADDRESS_GROUP ""

add_interface_port xillybus_axi_master m_axi_awid awid Output 4
add_interface_port xillybus_axi_master m_axi_awaddr awaddr Output 32
add_interface_port xillybus_axi_master m_axi_awlen awlen Output 4
add_interface_port xillybus_axi_master m_axi_awsize awsize Output 3
add_interface_port xillybus_axi_master m_axi_awburst awburst Output 2
add_interface_port xillybus_axi_master m_axi_awlock awlock Output 2
add_interface_port xillybus_axi_master m_axi_awcache awcache Output 4
add_interface_port xillybus_axi_master m_axi_awprot awprot Output 3
add_interface_port xillybus_axi_master m_axi_awuser awuser Output 5
add_interface_port xillybus_axi_master m_axi_awvalid awvalid Output 1
add_interface_port xillybus_axi_master m_axi_awready awready Input 1
add_interface_port xillybus_axi_master m_axi_wid wid Output 4
add_interface_port xillybus_axi_master m_axi_wdata wdata Output 64
add_interface_port xillybus_axi_master m_axi_wstrb wstrb Output 8
add_interface_port xillybus_axi_master m_axi_wlast wlast Output 1
add_interface_port xillybus_axi_master m_axi_wvalid wvalid Output 1
add_interface_port xillybus_axi_master m_axi_wready wready Input 1
add_interface_port xillybus_axi_master m_axi_bid bid Input 4
add_interface_port xillybus_axi_master m_axi_bresp bresp Input 2
add_interface_port xillybus_axi_master m_axi_bvalid bvalid Input 1
add_interface_port xillybus_axi_master m_axi_bready bready Output 1
add_interface_port xillybus_axi_master m_axi_arid arid Output 4
add_interface_port xillybus_axi_master m_axi_araddr araddr Output 32
add_interface_port xillybus_axi_master m_axi_arlen arlen Output 4
add_interface_port xillybus_axi_master m_axi_arsize arsize Output 3
add_interface_port xillybus_axi_master m_axi_arburst arburst Output 2
add_interface_port xillybus_axi_master m_axi_arlock arlock Output 2
add_interface_port xillybus_axi_master m_axi_arcache arcache Output 4
add_interface_port xillybus_axi_master m_axi_arprot arprot Output 3
add_interface_port xillybus_axi_master m_axi_aruser aruser Output 5
add_interface_port xillybus_axi_master m_axi_arvalid arvalid Output 1
add_interface_port xillybus_axi_master m_axi_arready arready Input 1
add_interface_port xillybus_axi_master m_axi_rid rid Input 4
add_interface_port xillybus_axi_master m_axi_rdata rdata Input 64
add_interface_port xillybus_axi_master m_axi_rresp rresp Input 2
add_interface_port xillybus_axi_master m_axi_rlast rlast Input 1
add_interface_port xillybus_axi_master m_axi_rvalid rvalid Input 1
add_interface_port xillybus_axi_master m_axi_rready rready Output 1


# 
# connection point conduit_xillybus
# 
add_interface conduit_xillybus conduit end
set_interface_property conduit_xillybus associatedClock ""
set_interface_property conduit_xillybus associatedReset ""
set_interface_property conduit_xillybus ENABLED true
set_interface_property conduit_xillybus EXPORT_OF ""
set_interface_property conduit_xillybus PORT_NAME_MAP ""
set_interface_property conduit_xillybus SVD_ADDRESS_GROUP ""

add_interface_port conduit_xillybus xillybus_bus_rst_n export Output 1
add_interface_port conduit_xillybus xillybus_S_AXI_AWVALID export Output 1
add_interface_port conduit_xillybus xillybus_S_AXI_WDATA export Output 32
add_interface_port conduit_xillybus xillybus_S_AXI_WSTRB export Output 4
add_interface_port conduit_xillybus xillybus_S_AXI_WVALID export Output 1
add_interface_port conduit_xillybus xillybus_S_AXI_BREADY export Output 1
add_interface_port conduit_xillybus xillybus_S_AXI_ARADDR export Output 7
add_interface_port conduit_xillybus xillybus_S_AXI_ARVALID export Output 1
add_interface_port conduit_xillybus xillybus_S_AXI_RREADY export Output 1
add_interface_port conduit_xillybus xillybus_S_AXI_ARREADY export Input 1
add_interface_port conduit_xillybus xillybus_S_AXI_RDATA export Input 32
add_interface_port conduit_xillybus xillybus_S_AXI_RRESP export Input 2
add_interface_port conduit_xillybus xillybus_S_AXI_RVALID export Input 1
add_interface_port conduit_xillybus xillybus_S_AXI_WREADY export Input 1
add_interface_port conduit_xillybus xillybus_S_AXI_BRESP export Input 2
add_interface_port conduit_xillybus xillybus_S_AXI_BVALID export Input 1
add_interface_port conduit_xillybus xillybus_S_AXI_AWREADY export Input 1
add_interface_port conduit_xillybus xillybus_M_AXI_ARREADY export Output 1
add_interface_port conduit_xillybus xillybus_M_AXI_ARVALID export Input 1
add_interface_port conduit_xillybus xillybus_M_AXI_ARADDR export Input 32
add_interface_port conduit_xillybus xillybus_M_AXI_ARLEN export Input 4
add_interface_port conduit_xillybus xillybus_M_AXI_ARSIZE export Input 3
add_interface_port conduit_xillybus xillybus_M_AXI_ARBURST export Input 2
add_interface_port conduit_xillybus xillybus_M_AXI_ARPROT export Input 3
add_interface_port conduit_xillybus xillybus_M_AXI_ARCACHE export Input 4
add_interface_port conduit_xillybus xillybus_M_AXI_RREADY export Input 1
add_interface_port conduit_xillybus xillybus_M_AXI_RVALID export Output 1
add_interface_port conduit_xillybus xillybus_M_AXI_RDATA export Output 64
add_interface_port conduit_xillybus xillybus_M_AXI_RRESP export Output 2
add_interface_port conduit_xillybus xillybus_M_AXI_RLAST export Output 1
add_interface_port conduit_xillybus xillybus_M_AXI_AWREADY export Output 1
add_interface_port conduit_xillybus xillybus_M_AXI_AWVALID export Input 1
add_interface_port conduit_xillybus xillybus_M_AXI_AWADDR export Input 32
add_interface_port conduit_xillybus xillybus_M_AXI_AWLEN export Input 4
add_interface_port conduit_xillybus xillybus_M_AXI_AWSIZE export Input 3
add_interface_port conduit_xillybus xillybus_M_AXI_AWBURST export Input 2
add_interface_port conduit_xillybus xillybus_M_AXI_AWPROT export Input 3
add_interface_port conduit_xillybus xillybus_M_AXI_AWCACHE export Input 4
add_interface_port conduit_xillybus xillybus_M_AXI_WREADY export Output 1
add_interface_port conduit_xillybus xillybus_M_AXI_WVALID export Input 1
add_interface_port conduit_xillybus xillybus_M_AXI_WDATA export Input 64
add_interface_port conduit_xillybus xillybus_M_AXI_WSTRB export Input 8
add_interface_port conduit_xillybus xillybus_M_AXI_WLAST export Input 1
add_interface_port conduit_xillybus xillybus_M_AXI_BREADY export Input 1
add_interface_port conduit_xillybus xillybus_M_AXI_BVALID export Output 1
add_interface_port conduit_xillybus xillybus_M_AXI_BRESP export Output 2
add_interface_port conduit_xillybus xillybus_host_interrupt export Input 1
add_interface_port conduit_xillybus xillybus_M_AXI_AWLOCK export Input 2
add_interface_port conduit_xillybus xillybus_M_AXI_ARLOCK export Input 2
add_interface_port conduit_xillybus xillybus_M_AXI_AWID export Input 8
add_interface_port conduit_xillybus xillybus_M_AXI_BID export Output 8
add_interface_port conduit_xillybus xillybus_M_AXI_RID export Output 8
add_interface_port conduit_xillybus xillybus_M_AXI_ARID export Input 8
add_interface_port conduit_xillybus xillybus_M_AXI_ARUSER export Input 5
add_interface_port conduit_xillybus xillybus_M_AXI_AWUSER export Input 5
add_interface_port conduit_xillybus xillybus_S_AXI_AWID export Output 12
add_interface_port conduit_xillybus xillybus_S_AXI_AWADDR export Output 7
add_interface_port conduit_xillybus xillybus_S_AXI_AWLEN export Output 4
add_interface_port conduit_xillybus xillybus_S_AXI_AWSIZE export Output 3
add_interface_port conduit_xillybus xillybus_S_AXI_AWBURST export Output 2
add_interface_port conduit_xillybus xillybus_S_AXI_AWLOCK export Output 2
add_interface_port conduit_xillybus xillybus_S_AXI_AWCACHE export Output 4
add_interface_port conduit_xillybus xillybus_S_AXI_AWPROT export Output 3
add_interface_port conduit_xillybus xillybus_S_AXI_AWUSER export Output 5
add_interface_port conduit_xillybus xillybus_S_AXI_WID export Output 12
add_interface_port conduit_xillybus xillybus_S_AXI_BID export Input 12
add_interface_port conduit_xillybus xillybus_S_AXI_WLAST export Output 1
add_interface_port conduit_xillybus xillybus_S_AXI_ARID export Output 12
add_interface_port conduit_xillybus xillybus_S_AXI_ARLEN export Output 4
add_interface_port conduit_xillybus xillybus_S_AXI_ARSIZE export Output 3
add_interface_port conduit_xillybus xillybus_S_AXI_ARBURST export Output 2
add_interface_port conduit_xillybus xillybus_S_AXI_ARLOCK export Output 2
add_interface_port conduit_xillybus xillybus_S_AXI_ARCACHE export Output 4
add_interface_port conduit_xillybus xillybus_S_AXI_ARPROT export Output 3
add_interface_port conduit_xillybus xillybus_S_AXI_ARUSER export Output 5
add_interface_port conduit_xillybus xillybus_S_AXI_RID export Input 12
add_interface_port conduit_xillybus xillybus_S_AXI_RLAST export Input 1
add_interface_port conduit_xillybus xillybus_bus_clk export Output 1
add_interface_port conduit_xillybus xillybus_M_AXI_WID export Input 8


# 
# connection point clock_sink
# 
add_interface clock_sink clock end
set_interface_property clock_sink clockRate 0
set_interface_property clock_sink ENABLED true
set_interface_property clock_sink EXPORT_OF ""
set_interface_property clock_sink PORT_NAME_MAP ""
set_interface_property clock_sink SVD_ADDRESS_GROUP ""

add_interface_port clock_sink S_AXI_ACLK clk Input 1


# 
# connection point reset_sink
# 
add_interface reset_sink reset end
set_interface_property reset_sink associatedClock clock_sink
set_interface_property reset_sink synchronousEdges DEASSERT
set_interface_property reset_sink ENABLED true
set_interface_property reset_sink EXPORT_OF ""
set_interface_property reset_sink PORT_NAME_MAP ""
set_interface_property reset_sink SVD_ADDRESS_GROUP ""

add_interface_port reset_sink S_AXI_ARESETN reset_n Input 1


# 
# connection point interrupt_sender
# 
add_interface interrupt_sender interrupt end
set_interface_property interrupt_sender associatedAddressablePoint ""
set_interface_property interrupt_sender associatedClock clock_sink
set_interface_property interrupt_sender associatedReset reset_sink
set_interface_property interrupt_sender ENABLED true
set_interface_property interrupt_sender EXPORT_OF ""
set_interface_property interrupt_sender PORT_NAME_MAP ""
set_interface_property interrupt_sender SVD_ADDRESS_GROUP ""

add_interface_port interrupt_sender Interrupt irq Output 1

