
# 
# xillybus_lite "xillybus_lite" v1.0
# Xillybus Ltd 2013.11.10.02:26:47
# Xillybus Lite core
# 

# 
# request TCL package from ACDS 13.1
# 
package require -exact qsys 13.1


# 
# module xillybus_lite
# 
set_module_property DESCRIPTION "Xillybus Lite core"
set_module_property NAME xillybus_lite
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property OPAQUE_ADDRESS_MAP true
set_module_property AUTHOR "Xillybus Ltd"
set_module_property DISPLAY_NAME xillybus_lite
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE true
set_module_property ANALYZE_HDL AUTO
set_module_property REPORT_TO_TALKBACK false
set_module_property ALLOW_GREYBOX_GENERATION false


# 
# file sets
# 
add_fileset QUARTUS_SYNTH QUARTUS_SYNTH "" ""
set_fileset_property QUARTUS_SYNTH TOP_LEVEL xillybus_lite
set_fileset_property QUARTUS_SYNTH ENABLE_RELATIVE_INCLUDE_PATHS false
add_fileset_file xillybus_lite.v VERILOG PATH xillybus_lite.v TOP_LEVEL_FILE


# 
# parameters
# 


# 
# display items
# 


# 
# connection point altera_axi_slave
# 
add_interface altera_axi_slave axi end
set_interface_property altera_axi_slave associatedClock clock_sink
set_interface_property altera_axi_slave associatedReset reset_sink
set_interface_property altera_axi_slave readAcceptanceCapability 1
set_interface_property altera_axi_slave writeAcceptanceCapability 1
set_interface_property altera_axi_slave combinedAcceptanceCapability 1
set_interface_property altera_axi_slave readDataReorderingDepth 1
set_interface_property altera_axi_slave bridgesToMaster ""
set_interface_property altera_axi_slave ENABLED true
set_interface_property altera_axi_slave EXPORT_OF ""
set_interface_property altera_axi_slave PORT_NAME_MAP ""
set_interface_property altera_axi_slave SVD_ADDRESS_GROUP ""

add_interface_port altera_axi_slave S_AXI_AWID awid Input 12
add_interface_port altera_axi_slave S_AXI_AWADDR awaddr Input 16
add_interface_port altera_axi_slave S_AXI_AWLEN awlen Input 4
add_interface_port altera_axi_slave S_AXI_AWSIZE awsize Input 3
add_interface_port altera_axi_slave S_AXI_AWBURST awburst Input 2
add_interface_port altera_axi_slave S_AXI_AWLOCK awlock Input 2
add_interface_port altera_axi_slave S_AXI_AWCACHE awcache Input 4
add_interface_port altera_axi_slave S_AXI_AWPROT awprot Input 3
add_interface_port altera_axi_slave S_AXI_AWUSER awuser Input 5
add_interface_port altera_axi_slave S_AXI_AWVALID awvalid Input 1
add_interface_port altera_axi_slave S_AXI_AWREADY awready Output 1
add_interface_port altera_axi_slave S_AXI_WID wid Input 12
add_interface_port altera_axi_slave S_AXI_WDATA wdata Input 32
add_interface_port altera_axi_slave S_AXI_WSTRB wstrb Input 4
add_interface_port altera_axi_slave S_AXI_WLAST wlast Input 1
add_interface_port altera_axi_slave S_AXI_WVALID wvalid Input 1
add_interface_port altera_axi_slave S_AXI_WREADY wready Output 1
add_interface_port altera_axi_slave S_AXI_BID bid Output 12
add_interface_port altera_axi_slave S_AXI_BRESP bresp Output 2
add_interface_port altera_axi_slave S_AXI_BVALID bvalid Output 1
add_interface_port altera_axi_slave S_AXI_BREADY bready Input 1
add_interface_port altera_axi_slave S_AXI_ARID arid Input 12
add_interface_port altera_axi_slave S_AXI_ARADDR araddr Input 16
add_interface_port altera_axi_slave S_AXI_ARLEN arlen Input 4
add_interface_port altera_axi_slave S_AXI_ARSIZE arsize Input 3
add_interface_port altera_axi_slave S_AXI_ARBURST arburst Input 2
add_interface_port altera_axi_slave S_AXI_ARLOCK arlock Input 2
add_interface_port altera_axi_slave S_AXI_ARCACHE arcache Input 4
add_interface_port altera_axi_slave S_AXI_ARPROT arprot Input 3
add_interface_port altera_axi_slave S_AXI_ARUSER aruser Input 5
add_interface_port altera_axi_slave S_AXI_ARVALID arvalid Input 1
add_interface_port altera_axi_slave S_AXI_ARREADY arready Output 1
add_interface_port altera_axi_slave S_AXI_RID rid Output 12
add_interface_port altera_axi_slave S_AXI_RDATA rdata Output 32
add_interface_port altera_axi_slave S_AXI_RRESP rresp Output 2
add_interface_port altera_axi_slave S_AXI_RLAST rlast Output 1
add_interface_port altera_axi_slave S_AXI_RVALID rvalid Output 1
add_interface_port altera_axi_slave S_AXI_RREADY rready Input 1


# 
# connection point conduit_lite
# 
add_interface conduit_lite conduit end
set_interface_property conduit_lite associatedClock ""
set_interface_property conduit_lite associatedReset ""
set_interface_property conduit_lite ENABLED true
set_interface_property conduit_lite EXPORT_OF ""
set_interface_property conduit_lite PORT_NAME_MAP ""
set_interface_property conduit_lite SVD_ADDRESS_GROUP ""

add_interface_port conduit_lite user_clk export Output 1
add_interface_port conduit_lite user_wren export Output 1
add_interface_port conduit_lite user_wstrb export Output 4
add_interface_port conduit_lite user_rden export Output 1
add_interface_port conduit_lite user_rd_data export Input 32
add_interface_port conduit_lite user_wr_data export Output 32
add_interface_port conduit_lite user_addr export Output 32
add_interface_port conduit_lite user_irq export Input 1


# 
# connection point clock_sink
# 
add_interface clock_sink clock end
set_interface_property clock_sink clockRate 0
set_interface_property clock_sink ENABLED true
set_interface_property clock_sink EXPORT_OF ""
set_interface_property clock_sink PORT_NAME_MAP ""
set_interface_property clock_sink SVD_ADDRESS_GROUP ""

add_interface_port clock_sink S_AXI_ACLK clk Input 1


# 
# connection point reset_sink
# 
add_interface reset_sink reset end
set_interface_property reset_sink associatedClock clock_sink
set_interface_property reset_sink synchronousEdges DEASSERT
set_interface_property reset_sink ENABLED true
set_interface_property reset_sink EXPORT_OF ""
set_interface_property reset_sink PORT_NAME_MAP ""
set_interface_property reset_sink SVD_ADDRESS_GROUP ""

add_interface_port reset_sink S_AXI_ARESETN reset_n Input 1


# 
# connection point interrupt_sender
# 
add_interface interrupt_sender interrupt end
set_interface_property interrupt_sender associatedAddressablePoint ""
set_interface_property interrupt_sender associatedClock clock_sink
set_interface_property interrupt_sender associatedReset reset_sink
set_interface_property interrupt_sender ENABLED true
set_interface_property interrupt_sender EXPORT_OF ""
set_interface_property interrupt_sender PORT_NAME_MAP ""
set_interface_property interrupt_sender SVD_ADDRESS_GROUP ""

add_interface_port interrupt_sender host_interrupt irq Output 1

