module xillybus_loop
  (
   input S_AXI_ACLK,
   input S_AXI_ARESETN,
   output Interrupt,
   input [6:0] S_AXI_AWADDR,
   input S_AXI_AWVALID,
   input [31:0] S_AXI_WDATA,
   input [3:0] S_AXI_WSTRB,
   input S_AXI_WVALID,
   input S_AXI_BREADY,
   input [6:0] S_AXI_ARADDR,
   input S_AXI_ARVALID,
   input S_AXI_RREADY,
   output S_AXI_ARREADY,
   output [31:0] S_AXI_RDATA,
   output [1:0] S_AXI_RRESP,
   output S_AXI_RVALID,
   output S_AXI_WREADY,
   output [1:0] S_AXI_BRESP,
   output S_AXI_BVALID,
   output S_AXI_AWREADY,
   input m_axi_arready,
   output m_axi_arvalid,
   output [31:0] m_axi_araddr,
   output [3:0] m_axi_arlen,
   output [2:0] m_axi_arsize,
   output [1:0] m_axi_arburst,
   output [2:0] m_axi_arprot,
   output [3:0] m_axi_arcache,
   output m_axi_rready,
   input m_axi_rvalid,
   input [63:0] m_axi_rdata,
   input [1:0] m_axi_rresp,
   input m_axi_rlast,
   input m_axi_awready,
   output m_axi_awvalid,
   output [31:0] m_axi_awaddr,
   output [3:0] m_axi_awlen,
   output [2:0] m_axi_awsize,
   output [1:0] m_axi_awburst,
   output [2:0] m_axi_awprot,
   output [3:0] m_axi_awcache,
   input m_axi_wready,
   output m_axi_wvalid,
   output [63:0] m_axi_wdata,
   output [7:0] m_axi_wstrb,
   output m_axi_wlast,
   output m_axi_bready,
   input m_axi_bvalid,
   input [1:0] m_axi_bresp,
   
   output xillybus_bus_clk,
   output reg xillybus_bus_rst_n,
   output [6:0] xillybus_S_AXI_AWADDR,
   output xillybus_S_AXI_AWVALID,
   output [31:0] xillybus_S_AXI_WDATA,
   output [3:0] xillybus_S_AXI_WSTRB,
   output xillybus_S_AXI_WVALID,
   output xillybus_S_AXI_BREADY,
   output [6:0] xillybus_S_AXI_ARADDR,
   output xillybus_S_AXI_ARVALID,
   output xillybus_S_AXI_RREADY,
   input xillybus_S_AXI_ARREADY,
   input [31:0] xillybus_S_AXI_RDATA,
   input [1:0] xillybus_S_AXI_RRESP,
   input xillybus_S_AXI_RVALID,
   input xillybus_S_AXI_WREADY,
   input [1:0] xillybus_S_AXI_BRESP,
   input xillybus_S_AXI_BVALID,
   input xillybus_S_AXI_AWREADY,
   output xillybus_M_AXI_ARREADY,
   input xillybus_M_AXI_ARVALID,
   input [31:0] xillybus_M_AXI_ARADDR,
   input [3:0] xillybus_M_AXI_ARLEN,
   input [2:0] xillybus_M_AXI_ARSIZE,
   input [1:0] xillybus_M_AXI_ARBURST,
   input [2:0] xillybus_M_AXI_ARPROT,
   input [3:0] xillybus_M_AXI_ARCACHE,
   input xillybus_M_AXI_RREADY,
   output xillybus_M_AXI_RVALID,
   output [63:0] xillybus_M_AXI_RDATA,
   output [1:0] xillybus_M_AXI_RRESP,
   output xillybus_M_AXI_RLAST,
   output xillybus_M_AXI_AWREADY,
   input xillybus_M_AXI_AWVALID,
   input [31:0] xillybus_M_AXI_AWADDR,
   input [3:0] xillybus_M_AXI_AWLEN,
   input [2:0] xillybus_M_AXI_AWSIZE,
   input [1:0] xillybus_M_AXI_AWBURST,
   input [2:0] xillybus_M_AXI_AWPROT,
   input [3:0] xillybus_M_AXI_AWCACHE,
   output xillybus_M_AXI_WREADY,
   input xillybus_M_AXI_WVALID,
   input [63:0] xillybus_M_AXI_WDATA,
   input [7:0] xillybus_M_AXI_WSTRB,
   input xillybus_M_AXI_WLAST,
   input xillybus_M_AXI_BREADY,
   output xillybus_M_AXI_BVALID,
   output [1:0] xillybus_M_AXI_BRESP,
   input xillybus_host_interrupt,

   // Added AXI master signals 
   output [1:0]   m_axi_awlock,
   output [1:0]   m_axi_arlock,
   output [3:0]   m_axi_awid,
   input [3:0]    m_axi_bid,
   output [3:0]   m_axi_arid,
   input [3:0]    m_axi_rid,
   output [3:0]   m_axi_wid,
   output [4:0]	  m_axi_awuser,
   output [4:0]	  m_axi_aruser,
   input [1:0]    xillybus_M_AXI_AWLOCK,
   input [1:0]	  xillybus_M_AXI_ARLOCK,
   input [7:0]    xillybus_M_AXI_AWID,
   output [7:0]   xillybus_M_AXI_BID,
   output [7:0]   xillybus_M_AXI_RID,
   input [7:0]    xillybus_M_AXI_WID,
   input [7:0]    xillybus_M_AXI_ARID,
   input [4:0]	  xillybus_M_AXI_ARUSER,
   input [4:0]	  xillybus_M_AXI_AWUSER,

   // Full AXI slave (non-Lite):
   
   input [11:0]   S_AXI_AWID,
   input [3:0] 	  S_AXI_AWLEN,
   input [2:0] 	  S_AXI_AWSIZE,
   input [1:0] 	  S_AXI_AWBURST,
   input [1:0] 	  S_AXI_AWLOCK,
   input [3:0] 	  S_AXI_AWCACHE,
   input [2:0] 	  S_AXI_AWPROT,
   input [4:0] 	  S_AXI_AWUSER,
   input [11:0]   S_AXI_WID,
   output [11:0]  S_AXI_BID,
   input 	  S_AXI_WLAST,
   input [11:0]   S_AXI_ARID,
   input [3:0] 	  S_AXI_ARLEN,
   input [2:0] 	  S_AXI_ARSIZE,
   input [1:0] 	  S_AXI_ARBURST,
   input [1:0] 	  S_AXI_ARLOCK,
   input [3:0] 	  S_AXI_ARCACHE,
   input [2:0] 	  S_AXI_ARPROT,
   input [4:0] 	  S_AXI_ARUSER,
   output [11:0]  S_AXI_RID,
   output 	  S_AXI_RLAST,

   output [11:0]  xillybus_S_AXI_AWID,
   output [3:0]   xillybus_S_AXI_AWLEN,
   output [2:0]   xillybus_S_AXI_AWSIZE,
   output [1:0]   xillybus_S_AXI_AWBURST,
   output [1:0]   xillybus_S_AXI_AWLOCK,
   output [3:0]   xillybus_S_AXI_AWCACHE,
   output [2:0]   xillybus_S_AXI_AWPROT,
   output [4:0]   xillybus_S_AXI_AWUSER,
   output [11:0]  xillybus_S_AXI_WID,
   input [11:0]   xillybus_S_AXI_BID,
   output 	  xillybus_S_AXI_WLAST,
   output [11:0]  xillybus_S_AXI_ARID,
   output [3:0]   xillybus_S_AXI_ARLEN,
   output [2:0]	  xillybus_S_AXI_ARSIZE,
   output [1:0]	  xillybus_S_AXI_ARBURST,
   output [1:0]	  xillybus_S_AXI_ARLOCK,
   output [3:0]	  xillybus_S_AXI_ARCACHE,
   output [2:0]	  xillybus_S_AXI_ARPROT,
   output [4:0]	  xillybus_S_AXI_ARUSER,
   input [11:0]   xillybus_S_AXI_RID,
   input 	  xillybus_S_AXI_RLAST   
   );

   reg 	 rst_sync;

   // Is reset synchronization necessary on Altera as well?
   
   always @(posedge S_AXI_ACLK)
     begin
	xillybus_bus_rst_n <= rst_sync;
	rst_sync <= S_AXI_ARESETN;
     end

   // This module merely connects the AXI signals to the Xillybus core, which
   // is external to the processor. This makes it possible to swap the Xillybus
   // core without reimplementing the processor.

   assign xillybus_bus_clk = S_AXI_ACLK ;
   assign xillybus_S_AXI_AWADDR = S_AXI_AWADDR ;
   assign xillybus_S_AXI_AWVALID = S_AXI_AWVALID ;
   assign xillybus_S_AXI_WDATA = S_AXI_WDATA ;
   assign xillybus_S_AXI_WSTRB = S_AXI_WSTRB ;
   assign xillybus_S_AXI_WVALID = S_AXI_WVALID ;
   assign xillybus_S_AXI_BREADY = S_AXI_BREADY ;
   assign xillybus_S_AXI_ARADDR = S_AXI_ARADDR ;
   assign xillybus_S_AXI_ARVALID = S_AXI_ARVALID ;
   assign xillybus_S_AXI_RREADY = S_AXI_RREADY ;
   assign S_AXI_ARREADY = xillybus_S_AXI_ARREADY ;
   assign S_AXI_RDATA = xillybus_S_AXI_RDATA ;
   assign S_AXI_RRESP = xillybus_S_AXI_RRESP ;
   assign S_AXI_RVALID = xillybus_S_AXI_RVALID ;
   assign S_AXI_WREADY = xillybus_S_AXI_WREADY ;
   assign S_AXI_BRESP = xillybus_S_AXI_BRESP ;
   assign S_AXI_BVALID = xillybus_S_AXI_BVALID ;
   assign S_AXI_AWREADY = xillybus_S_AXI_AWREADY ;
   assign xillybus_M_AXI_ARREADY = m_axi_arready ;
   assign m_axi_arvalid = xillybus_M_AXI_ARVALID ;
   assign m_axi_araddr = xillybus_M_AXI_ARADDR ;
   assign m_axi_arlen = xillybus_M_AXI_ARLEN ;
   assign m_axi_arsize = xillybus_M_AXI_ARSIZE ;
   assign m_axi_arburst = xillybus_M_AXI_ARBURST ;
   assign m_axi_arprot = xillybus_M_AXI_ARPROT ;
   assign m_axi_arcache = xillybus_M_AXI_ARCACHE ;
   assign m_axi_rready = xillybus_M_AXI_RREADY ;
   assign xillybus_M_AXI_RVALID = m_axi_rvalid ;
   assign xillybus_M_AXI_RDATA = m_axi_rdata ;
   assign xillybus_M_AXI_RRESP = m_axi_rresp ;
   assign xillybus_M_AXI_RLAST = m_axi_rlast ;
   assign xillybus_M_AXI_AWREADY = m_axi_awready ;
   assign m_axi_awvalid = xillybus_M_AXI_AWVALID ;
   assign m_axi_awaddr = xillybus_M_AXI_AWADDR ;
   assign m_axi_awlen = xillybus_M_AXI_AWLEN ;
   assign m_axi_awsize = xillybus_M_AXI_AWSIZE ;
   assign m_axi_awburst = xillybus_M_AXI_AWBURST ;
   assign m_axi_awprot = xillybus_M_AXI_AWPROT ;
   assign m_axi_awcache = xillybus_M_AXI_AWCACHE ;
   assign xillybus_M_AXI_WREADY = m_axi_wready ;
   assign m_axi_wvalid = xillybus_M_AXI_WVALID ;
   assign m_axi_wdata = xillybus_M_AXI_WDATA ;
   assign m_axi_wstrb = xillybus_M_AXI_WSTRB ;
   assign m_axi_wlast = xillybus_M_AXI_WLAST ;
   assign m_axi_bready = xillybus_M_AXI_BREADY ;
   assign xillybus_M_AXI_BVALID = m_axi_bvalid ;
   assign xillybus_M_AXI_BRESP = m_axi_bresp ;
   assign Interrupt = xillybus_host_interrupt;

   assign m_axi_awlock = xillybus_M_AXI_AWLOCK ;
   assign m_axi_arlock = xillybus_M_AXI_ARLOCK ;
   assign m_axi_awid = xillybus_M_AXI_AWID ;
   assign m_axi_wid = xillybus_M_AXI_WID;
   assign xillybus_M_AXI_BID = m_axi_bid ;
   assign xillybus_M_AXI_RID = m_axi_rid ;
   assign m_axi_arid = xillybus_M_AXI_ARID ;
   assign m_axi_aruser = xillybus_M_AXI_ARUSER ;
   assign m_axi_awuser = xillybus_M_AXI_AWUSER ;

   assign xillybus_S_AXI_AWID = S_AXI_AWID ;
   assign xillybus_S_AXI_AWADDR = S_AXI_AWADDR ;
   assign xillybus_S_AXI_AWLEN = S_AXI_AWLEN ;
   assign xillybus_S_AXI_AWSIZE = S_AXI_AWSIZE ;
   assign xillybus_S_AXI_AWBURST = S_AXI_AWBURST ;
   assign xillybus_S_AXI_AWLOCK = S_AXI_AWLOCK ;
   assign xillybus_S_AXI_AWCACHE = S_AXI_AWCACHE ;
   assign xillybus_S_AXI_AWPROT = S_AXI_AWPROT ;
   assign xillybus_S_AXI_AWUSER = S_AXI_AWUSER ;
   assign xillybus_S_AXI_WID = S_AXI_WID ;
   assign S_AXI_BID = xillybus_S_AXI_BID ;
   assign xillybus_S_AXI_WLAST = S_AXI_WLAST ;
   assign xillybus_S_AXI_ARID = S_AXI_ARID ;
   assign xillybus_S_AXI_ARLEN = S_AXI_ARLEN ;
   assign xillybus_S_AXI_ARSIZE = S_AXI_ARSIZE ;
   assign xillybus_S_AXI_ARBURST = S_AXI_ARBURST ;
   assign xillybus_S_AXI_ARLOCK = S_AXI_ARLOCK ;
   assign xillybus_S_AXI_ARCACHE = S_AXI_ARCACHE ;
   assign xillybus_S_AXI_ARPROT = S_AXI_ARPROT ;
   assign xillybus_S_AXI_ARUSER = S_AXI_ARUSER ;
   assign S_AXI_RID = xillybus_S_AXI_RID ;
   assign S_AXI_RLAST = xillybus_S_AXI_RLAST ;

endmodule
