module xillyvga
   (
    // Clock and reset, used by both master and slave
   input          S_AXI_ACLK,
   input          S_AXI_ARESETN,

   // SLAVE

   input [11:0]   S_AXI_AWID,
   input [6:0] 	  S_AXI_AWADDR,
   input [3:0] 	  S_AXI_AWLEN,
   input [2:0] 	  S_AXI_AWSIZE,
   input [1:0] 	  S_AXI_AWBURST,
   input [1:0] 	  S_AXI_AWLOCK,
   input [3:0] 	  S_AXI_AWCACHE,
   input [2:0] 	  S_AXI_AWPROT,
   input [4:0] 	  S_AXI_AWUSER,
   input 	  S_AXI_AWVALID,
   output 	  S_AXI_AWREADY,


   input [11:0]   S_AXI_WID,
   input [31:0]   S_AXI_WDATA,
   input [3:0] 	  S_AXI_WSTRB,
   input 	  S_AXI_WLAST,
   input 	  S_AXI_WVALID,
   output 	  S_AXI_WREADY,


   output [11:0]  S_AXI_BID,
   output [1:0]   S_AXI_BRESP,
   output 	  S_AXI_BVALID,
   input 	  S_AXI_BREADY,


   input [11:0]   S_AXI_ARID,
   input [6:0] 	  S_AXI_ARADDR,
   input [3:0] 	  S_AXI_ARLEN,
   input [2:0] 	  S_AXI_ARSIZE,
   input [1:0] 	  S_AXI_ARBURST,
   input [1:0] 	  S_AXI_ARLOCK,
   input [3:0] 	  S_AXI_ARCACHE,
   input [2:0] 	  S_AXI_ARPROT,
   input [4:0] 	  S_AXI_ARUSER,
   input 	  S_AXI_ARVALID,
   output 	  S_AXI_ARREADY,

   output [11:0]  S_AXI_RID,
   output [31:0]  S_AXI_RDATA,
   output [1:0]   S_AXI_RRESP,
   output 	  S_AXI_RLAST,
   output 	  S_AXI_RVALID,
   input 	  S_AXI_RREADY,

   // MASTER

   output [3:0]  m_axi_awid,
   output [31:0]  m_axi_awaddr,
   output [3:0]   m_axi_awlen,
   output [2:0]   m_axi_awsize,
   output [1:0]   m_axi_awburst,
   output [1:0]   m_axi_awlock,
   output [3:0]   m_axi_awcache,
   output [2:0]   m_axi_awprot,
   output 	  m_axi_awvalid,
   output [4:0]   m_axi_awuser,
   input 	  m_axi_awready,

   output [3:0]   m_axi_wid,
   output [63:0]  m_axi_wdata,
   output [7:0]   m_axi_wstrb,
   output 	  m_axi_wlast,
   output 	  m_axi_wvalid,
   input 	  m_axi_wready,

   input [3:0]   m_axi_bid,
   input [1:0] 	  m_axi_bresp,
   input 	  m_axi_bvalid,
   output 	  m_axi_bready,

   output [3:0]  m_axi_arid,
   output [31:0]  m_axi_araddr,
   output [3:0]   m_axi_arlen,
   output [2:0]   m_axi_arsize,
   output [1:0]   m_axi_arburst,
   output [1:0]   m_axi_arlock,
   output [3:0]   m_axi_arcache,
   output [2:0]   m_axi_arprot,
   output 	  m_axi_arvalid,
   output [4:0]   m_axi_aruser,
   input 	  m_axi_arready,

   input [3:0]    m_axi_rid,
   input [63:0]   m_axi_rdata,
   input [1:0] 	  m_axi_rresp,
   input 	  m_axi_rlast,
   input 	  m_axi_rvalid,
   output 	  m_axi_rready,

   // VGA ports
   input 	  clk_in,
   output 	  vga_clk,
   output [7:0]   vga_red,
   output [7:0]   vga_green,
   output [7:0]   vga_blue,
   output 	  vga_de,
   output 	  vga_hsync,
   output 	  vga_vsync
   );

   xillyvga_core xillyvga_core_ins (
    .S_AXI_ACLK(S_AXI_ACLK),
    .S_AXI_ARESETN(S_AXI_ARESETN),
    .S_AXI_ARADDR(S_AXI_ARADDR),
    .S_AXI_ARBURST(S_AXI_ARBURST),
    .S_AXI_ARCACHE(S_AXI_ARCACHE),
    .S_AXI_ARID(S_AXI_ARID),
    .S_AXI_ARLEN(S_AXI_ARLEN),
    .S_AXI_ARLOCK(S_AXI_ARLOCK),
    .S_AXI_ARPROT(S_AXI_ARPROT),
    .S_AXI_ARSIZE(S_AXI_ARSIZE),
    .S_AXI_ARUSER(S_AXI_ARUSER),
    .S_AXI_ARVALID(S_AXI_ARVALID),
    .S_AXI_AWADDR(S_AXI_AWADDR),
    .S_AXI_AWBURST(S_AXI_AWBURST),
    .S_AXI_AWCACHE(S_AXI_AWCACHE),
    .S_AXI_AWID(S_AXI_AWID),
    .S_AXI_AWLEN(S_AXI_AWLEN),
    .S_AXI_AWLOCK(S_AXI_AWLOCK),
    .S_AXI_AWPROT(S_AXI_AWPROT),
    .S_AXI_AWSIZE(S_AXI_AWSIZE),
    .S_AXI_AWUSER(S_AXI_AWUSER),
    .S_AXI_AWVALID(S_AXI_AWVALID),
    .S_AXI_BREADY(S_AXI_BREADY),
    .S_AXI_RREADY(S_AXI_RREADY),
    .S_AXI_WDATA(S_AXI_WDATA),
    .S_AXI_WID(S_AXI_WID),
    .S_AXI_WLAST(S_AXI_WLAST),
    .S_AXI_WSTRB(S_AXI_WSTRB),
    .S_AXI_WVALID(S_AXI_WVALID),
    .clk_in(clk_in),
    .m_axi_arready(m_axi_arready),
    .m_axi_awready(m_axi_awready),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_wready(m_axi_wready),
    .S_AXI_ARREADY(S_AXI_ARREADY),
    .S_AXI_AWREADY(S_AXI_AWREADY),
    .S_AXI_BID(S_AXI_BID),
    .S_AXI_BRESP(S_AXI_BRESP),
    .S_AXI_BVALID(S_AXI_BVALID),
    .S_AXI_RDATA(S_AXI_RDATA),
    .S_AXI_RID(S_AXI_RID),
    .S_AXI_RLAST(S_AXI_RLAST),
    .S_AXI_RRESP(S_AXI_RRESP),
    .S_AXI_RVALID(S_AXI_RVALID),
    .S_AXI_WREADY(S_AXI_WREADY),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_rready(m_axi_rready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wvalid(m_axi_wvalid),
    .vga_blue(vga_blue),
    .vga_clk(vga_clk),
    .vga_de(vga_de),
    .vga_green(vga_green),
    .vga_hsync(vga_hsync),
    .vga_red(vga_red),
    .vga_vsync(vga_vsync)
  );

   assign    m_axi_awid = 0;
   assign    m_axi_wid = 0;
   assign    m_axi_arid = 0;
   
endmodule
